Support Replay Gain stored in ID3v2 TXXX fields
April 17,2013 09:36 - Dan Hurler

Status: Closed Start date: April 17,2013
Priority: Major Due date:

Assignee: % Done: 100%
Category: libaudtag Estimated time: 0.00 hour
Target version: 3.7

Affects version: 3.6.2

Description

| am using Audacious 3.2.3 on Mint Linux x64 installed from the package manager. Replaygain appears to be ignored with mp3 files
regardless of tag format. I've tried id3v1 tags, id3v2.3, id3v2.4, APEv2, and all combinations of them to no avail so it doesn't appear
to be an issue relating to tag parsing.

Replaygain does work with FLAC encoded files and Vorbis ogg files on my computer. | just checked AAC encoded files using the
Nero encoder and replaygain is not working with them either.

FYI - all files were encoded from FLACs ripped off a CD and then replaygain scanned using foobar2000 under WINE. Just in case
anyone thinks this is related to using foobar2000 under WINE to rip and replaygain scan | tested all the same files using VLC and in
every single case replaygain worked.

History

#1 - April 17, 2013 10:45 - Dan Hurler

| just confirmed the bug as it relates to mp3 files IS related to the tagging scheme used. When APE tags are used exclusively Audacious is able to
parse the replaygain information correctly but with all variants of id3 tags the replaygain information is just returned as null values.

#2 - April 18, 2013 01:28 - John Lindgren

Please upload an example file. Replay Gain works correctly with the MP3s in my collection.

#3 - April 24, 2013 00:50 - John Lindgren

- Status changed from New to Rejected

Closing due to lack of response.

#4 - March 19, 2015 21:32 - Buktop AnekcaHapoBuy
The same on Ubuntu 14.04.2

#5 - June 21, 2015 14:56 - Mike Daniels
- File replaygain.zip added

I've noticed too that mp3 and replaygain seems problematic in Audacious. Here's an example attached.

I've created 2 soundclips. The first one is normalized, the second is the same clip but was lowered in volume with 24 dB. Then they were converted to
mp3 (using LAME) and | used the built-in functionality in Winamp ("Calculate ReplayGain") on the mp3s. Winamp then reports "Track Gain -0.58 dB'
on the first file and '+23.65 dB' on the second.

Now, when these files are played in Winamp (using replaygain) they are undistinguishable in volume, since the replaygain compensates the volume.
Playing the same 2 files in Audacious 3.6.2a with replaygain activated reveals that the replaygain data isn't read, because the (rather large) volume
difference is heard.

Hope this example is clear enough. :)
#6 - June 22, 2015 08:42 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from replaygain not working on mp3 files to Support Replay Gain stored in ID3v2 TXXX fields
- Category set to libaudtag

- Status changed from Rejected to New

- Affects version 3.6.2 added

- Affects version deleted (3.2.3)

Thank you for providing an example. There are (at least) two competing formats for storing Replay Gain in ID3v2 tags. Audacious supports the
official® RVA2 (relative volume adjustment) field, which is the format written by e.g. mp3gain. The example you uploaded uses a "newer" format? that
uses free-form text (TXXX) fields. Audacious currently does not support this format.

' http://id3.0rg/id3v2.4.0-frames

2 http://wiki.hydrogenaud.io/index.php?title=ReplayGain_1.0_specification#ID3v2

#7 - July 03, 2015 16:35 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.7

- % Done changed from 0 to 100

Files

replaygain.zip 356 KB June 21, 2015 Mike Daniels
